package com.alibaba.druid.sql.dialect.oracle.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.dialect.oracle.visitor.OracleASTVisitor;

public class OracleGotoStatement extends OracleStatementImpl {
   private SQLName label;

   public OracleGotoStatement() {
   }

   public OracleGotoStatement(SQLName label) {
      this.label = label;
   }

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.label);
      }

      visitor.endVisit(this);
   }

   public SQLName getLabel() {
      return this.label;
   }

   public void setLabel(SQLName label) {
      this.label = label;
   }
}
